summary refs log tree commit diff
path: root/maintainers/scripts
diff options
context:
space:
mode:
authorPatrick Hilhorst <git@hilhorst.be>2020-10-02 10:12:17 +0200
committerJon <jonringer@users.noreply.github.com>2020-10-02 09:01:35 -0700
commite9acc776d8269e5217319c10da8afd3cde854c5c (patch)
treef9debd8a3171a101518b3bf8f3beaec4072c6737 /maintainers/scripts
parentf7e390e6d4fb6c46f51e66bbb9be9aed941b7213 (diff)
downloadnixpkgs-e9acc776d8269e5217319c10da8afd3cde854c5c.tar
nixpkgs-e9acc776d8269e5217319c10da8afd3cde854c5c.tar.gz
nixpkgs-e9acc776d8269e5217319c10da8afd3cde854c5c.tar.bz2
nixpkgs-e9acc776d8269e5217319c10da8afd3cde854c5c.tar.lz
nixpkgs-e9acc776d8269e5217319c10da8afd3cde854c5c.tar.xz
nixpkgs-e9acc776d8269e5217319c10da8afd3cde854c5c.tar.zst
nixpkgs-e9acc776d8269e5217319c10da8afd3cde854c5c.zip
maintainers/scripts: add update_redirected_urls to fix redirected urls using Repology data
Diffstat (limited to 'maintainers/scripts')
-rwxr-xr-xmaintainers/scripts/update_redirected_urls.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/maintainers/scripts/update_redirected_urls.sh b/maintainers/scripts/update_redirected_urls.sh
new file mode 100755
index 00000000000..b8027565594
--- /dev/null
+++ b/maintainers/scripts/update_redirected_urls.sh
@@ -0,0 +1,11 @@
+#! /usr/bin/env nix-shell
+#! nix-shell -p bash curl ripgrep jq -i bash
+
+set -euxo pipefail
+
+# Possibly also add non-https redirect, but there were non of those when I first
+# made this script to test that. Feel free to add it when it is relevant.
+curl https://repology.org/api/v1/repository/nix_unstable/problems \
+   | jq -r '.[] | select(.type == "homepage_permanent_https_redirect") | .data | "s@\(.url)@\(.target)@"' \
+   | sort | uniq | tee script.sed
+find -name '*.nix' | xargs -P4 -- sed -f script.sed -i